---
title: "Poll - Void"
source_url: https://docs.rapyd.net/en/poll---void.html
lang: en
---

# Poll - Void

Send a request using the poll method to display a void on a PAX POS device

For a void transaction, the client must provide the `uti` (Unique Transaction Identifier) from the original transaction response.

Upon receiving the request, the CloudLink API forwards it to the terminal, which immediately registers a `SALE_RECEIVED` event. The terminal then processes the void using the provided UTI and triggers a final `SALE_VOIDED` event (not SALE_COMPLETED). The client can retrieve these events by continuously polling the `/poll/terminalresponse/{pollId}` endpoint until the terminal response is available.

### Parameters

### Request Header Parameters

- - X-API-KEY
  - Unique access key provided by Rapyd for each partner.

### Request Body Parameters

- - uti
  - An id provided by the POS in a sale response. Used for message matching in a re-print.

- - disablePrinting
  - Indicates if to print a receipt.

- - referenceId
  - Optional reference from merchants

- - language
  - The language that the PAX POS will use to display information on the device. One of the following:

    - **en_GB**
    - **ar_EG**
    - **da_DK**
    - **de_DE**
    - **es_ES**
    - **fi_FI**
    - **fr_FR**
    - **hi_IN**
    - **is_IS**
    - **it_IT**
    - **nb_NO**
    - **nl_NL**
    - **pl_PL**
    - **pt_PT**
    - **ru_RU**
    - **sl_SI**
    - **sv_SE**
    - **zh_CN**

- - pollId
  - The ID used to poll after a terminal response.

- - deviceToken
  - The token of a PAX POS device.

- - correlationId
  - An ID provided by the caller. Returned in the callback for message matching. In a cancel request, use the value from the sale/refund that is being canceled.

- - timeToLive
  - The maximum time, in seconds, for a request to reach the physical terminal. The default value is 5 seconds.
- - terminalId
  - If terminal has more than one merchant, this field is used to identify the merchant. To get a list of merchants, use the requestMerchantConfig request. Value can be null.

### 202 Accepted Response

- - message
  - Accepted

### 400 Error Response

- - type
  - Example: https://tools.ietf.org/html/rfc7231#section-6.5.1

- - title
  - One or more validation errors occurred.

- - status
  - 400

- - errors
  - Object with one or more errors. Example: "The Uti field is required."

### 401 Unauthorized Response

- - message
  - Unauthorized

### 500 Error Response

- - message
  - Server Error

- /poll/void

- 202 Void Accepted
- ```curl
  curl -X
  post https://CloudLinkApi/poll/void
  -H 'X-API-KEY: your-access-key-here'
  -d '
  {
    "uti": "83EF00C9-8A86-4E84-8E05-35B7B4358566",
    "disablePrinting": true,
    "referenceId": "merchant-ref-number-abc123",
    "language": "en_GB",
    "pollId": "03aa1721-65ea-4db3-af51-d1294446238c",
    "deviceToken": "b16526c3447ba6cea4818d",
    "correlationId": "5d1d4ea-8229-44d7-b517-26a5ae6c2fda",
    "timeToLive": 5,
    "terminalId": null 
  }
  ' 
  ```
- ```json
  {
    "message": "Accepted"
  }
  ```

- 400 Bad Request
- ```curl
  curl -X
  post https://CloudLinkApi/poll/void
  -H 'X-API-KEY: your-access-key-here'
  -d '
  {
    "uti": "83EF00C9-8A86-4E84-8E05-35B7B4358566",
    "disablePrinting": true,
    "referenceId": "merchant-ref-number-abc123",
    "language": "en_GB",
    "pollId": "03aa1721-65ea-4db3-af51-d1294446238c",
    "deviceToken": "b16526c3447ba6cea4818d",
    "correlationId": "5d1d4ea-8229-44d7-b517-26a5ae6c2fda",
    "timeToLive": 5,
    "terminalId": null 
  }
  '
  ```
- ```json
  {
    "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
    "title": "One or more validation errors occurred.",
    "status": 400,
    "errors": {
      "Uti": [
        "The Uti field is required."
      ]
    }
  }
  ```

- 401 Unauthorized
- ```curl
  curl -X
  post https://CloudLinkApi/poll/void
  -H 'X-API-KEY: your-access-key-here'
  -d '
  {
    "uti": "83EF00C9-8A86-4E84-8E05-35B7B4358566",
    "disablePrinting": true,
    "referenceId": "merchant-ref-number-abc123",
    "language": "en_GB",
    "pollId": "03aa1721-65ea-4db3-af51-d1294446238c",
    "deviceToken": "b16526c3447ba6cea4818d",
    "correlationId": "5d1d4ea-8229-44d7-b517-26a5ae6c2fda",
    "timeToLive": 5,
    "terminalId": null
  }
  '
  ```
- ```json
  {
    "message": "Unauthorized"
  }
  ```

- 500 Server Error
- ```curl
  curl -X
  post https://CloudLinkApi/poll/void
  -H 'X-API-KEY: your-access-key-here'
  -d '
  {
    "uti": "83EF00C9-8A86-4E84-8E05-35B7B4358566",
    "disablePrinting": true,
    "referenceId": "merchant-ref-number-abc123",
    "language": "en_GB",
    "pollId": "03aa1721-65ea-4db3-af51-d1294446238c",
    "deviceToken": "b16526c3447ba6cea4818d",
    "correlationId": "5d1d4ea-8229-44d7-b517-26a5ae6c2fda",
    "timeToLive": 5,
    "terminalId": null
  }
  ' 
  ```
- ```json
  {
    "message": "Server Error"
  }
  ```
